### GET /assessment/{connection_id}/package Source: https://api.unified.to/docs/openapi-assessment.json API endpoint for GET /assessment/{connection_id}/package ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **AssessmentPackages** - Array of AssessmentPackage ### Example Usage ```bash curl -X GET "https://api.unified.to/assessment/{connection_id}/package?limit=0&offset=0" ``` ``` -------------------------------- ### GET /assessment/{connection_id}/package/{id} Source: https://api.unified.to/docs/openapi-assessment.json API endpoint for GET /assessment/{connection_id}/package/{id} ```markdown ### Parameters - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Package ### Responses #### 200 - Successful **AssessmentPackage** - **id** (string) (required) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **workspace_id** (string) - **connection_id** (string) - **integration_types** (array (string)): Integration types that support this package - **name** (string) (required) - **type** (string (SKILLS_TEST|BEHAVIORAL_ASSESSMENT|VIDEO_INTERVIEW|BACKGROUND_CHECK|REFERENCE_CHECK|OTHER)) (required) ("SKILLS_TEST"|"BEHAVIORAL_ASSESSMENT"|"VIDEO_INTERVIEW"|"BACKGROUND_CHECK"|"REFERENCE_CHECK"|"OTHER") - **aliases** (array (string)): Alternative namesidentifiers for this package - **tags** (array (string)): Category tags (e.g., "Assessment", "Background Check") - **description** (string) - **parameters** (array (AssessmentParameter)): Questionsinputs needed for this assessment (aligned with verification) Array items: - **id** (string) - **name** (string) (required) - **public_question** (string) - **type** (string (TEXT|NUMBER|MULTIPLE_CHOICE|MULTIPLE_SELECT|DATE|FILE)) ("TEXT"|"NUMBER"|"MULTIPLE_CHOICE"|"MULTIPLE_SELECT"|"DATE"|"FILE") - **options** (array (string)): Options for MULTIPLE_CHOICE and MULTIPLE_SELECT - **file_types** (array (string)): Valid file MIME types for FILE type - **valid_regions** (array (string)): Regions where this parameter is valid ({country}-{state} or {country}) - **is_required** (boolean) - **has_redirect_url** (boolean) - **has_target_url** (boolean) - **needs_ip_address** (boolean) - **max_score** (number) - **info_url** (string) - **regions** (array (AssessmentPackageRegion)) Array items: - **regions** (array (string)) (required): Countryregion codes where this package is available ({country}-{state} or {country}) - **cost_amount** (number) (required) - **currency** (string) - **processing_time** (number) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/assessment/{connection_id}/package/{id}" ``` ``` -------------------------------- ### Schema: property_AssessmentPackage_parameters Source: https://api.unified.to/docs/openapi-assessment.json Questionsinputs needed for this assessment (aligned with verification) ```markdown ## Schema: property_AssessmentPackage_parameters Questionsinputs needed for this assessment (aligned with verification) **Type:** array - Array of AssessmentParameter ``` -------------------------------- ### Schema: property_AssessmentPackage_tags Source: https://api.unified.to/docs/openapi-assessment.json Category tags (e.g., "Assessment", "Background Check") ```markdown ## Schema: property_AssessmentPackage_tags Category tags (e.g., "Assessment", "Background Check") **Type:** array - Array of string ``` -------------------------------- ### POST /assessment/{connection_id}/package Source: https://api.unified.to/docs/openapi-assessment.json API endpoint for POST /assessment/{connection_id}/package ```markdown ### Parameters - **connection_id** (string, path, required): ID of the connection ### Request Body **Content-Type:** application/json - **id** (string) (required) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **workspace_id** (string) - **connection_id** (string) - **integration_types** (array (string)): Integration types that support this package - **name** (string) (required) - **type** (string (SKILLS_TEST|BEHAVIORAL_ASSESSMENT|VIDEO_INTERVIEW|BACKGROUND_CHECK|REFERENCE_CHECK|OTHER)) (required) ("SKILLS_TEST"|"BEHAVIORAL_ASSESSMENT"|"VIDEO_INTERVIEW"|"BACKGROUND_CHECK"|"REFERENCE_CHECK"|"OTHER") - **aliases** (array (string)): Alternative namesidentifiers for this package - **tags** (array (string)): Category tags (e.g., "Assessment", "Background Check") - **description** (string) - **parameters** (array (AssessmentParameter)): Questionsinputs needed for this assessment (aligned with verification) Array items: - **id** (string) - **name** (string) (required) - **public_question** (string) - **type** (string (TEXT|NUMBER|MULTIPLE_CHOICE|MULTIPLE_SELECT|DATE|FILE)) ("TEXT"|"NUMBER"|"MULTIPLE_CHOICE"|"MULTIPLE_SELECT"|"DATE"|"FILE") - **options** (array (string)): Options for MULTIPLE_CHOICE and MULTIPLE_SELECT - **file_types** (array (string)): Valid file MIME types for FILE type - **valid_regions** (array (string)): Regions where this parameter is valid ({country}-{state} or {country}) - **is_required** (boolean) - **has_redirect_url** (boolean) - **has_target_url** (boolean) - **needs_ip_address** (boolean) - **max_score** (number) - **info_url** (string) - **regions** (array (AssessmentPackageRegion)) Array items: - **regions** (array (string)) (required): Countryregion codes where this package is available ({country}-{state} or {country}) - **cost_amount** (number) (required) - **currency** (string) - **processing_time** (number) - **raw** (object) ### Responses #### 200 - Successful **AssessmentPackage** - **id** (string) (required) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **workspace_id** (string) - **connection_id** (string) - **integration_types** (array (string)): Integration types that support this package - **name** (string) (required) - **type** (string (SKILLS_TEST|BEHAVIORAL_ASSESSMENT|VIDEO_INTERVIEW|BACKGROUND_CHECK|REFERENCE_CHECK|OTHER)) (required) ("SKILLS_TEST"|"BEHAVIORAL_ASSESSMENT"|"VIDEO_INTERVIEW"|"BACKGROUND_CHECK"|"REFERENCE_CHECK"|"OTHER") - **aliases** (array (string)): Alternative namesidentifiers for this package - **tags** (array (string)): Category tags (e.g., "Assessment", "Background Check") - **description** (string) - **parameters** (array (AssessmentParameter)): Questionsinputs needed for this assessment (aligned with verification) Array items: - **id** (string) - **name** (string) (required) - **public_question** (string) - **type** (string (TEXT|NUMBER|MULTIPLE_CHOICE|MULTIPLE_SELECT|DATE|FILE)) ("TEXT"|"NUMBER"|"MULTIPLE_CHOICE"|"MULTIPLE_SELECT"|"DATE"|"FILE") - **options** (array (string)): Options for MULTIPLE_CHOICE and MULTIPLE_SELECT - **file_types** (array (string)): Valid file MIME types for FILE type - **valid_regions** (array (string)): Regions where this parameter is valid ({country}-{state} or {country}) - **is_required** (boolean) - **has_redirect_url** (boolean) - **has_target_url** (boolean) - **needs_ip_address** (boolean) - **max_score** (number) - **info_url** (string) - **regions** (array (AssessmentPackageRegion)) Array items: - **regions** (array (string)) (required): Countryregion codes where this package is available ({country}-{state} or {country}) - **cost_amount** (number) (required) - **currency** (string) - **processing_time** (number) - **raw** (object) ### Example Usage ```bash curl -X POST "https://api.unified.to/assessment/{connection_id}/package" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "workspace_id": "string", "connection_id": "string", "integration_types": "value", "name": "string", "type": "SKILLS_TEST", "aliases": "value", "tags": "value", "description": "string", "parameters": "value", "has_redirect_url": "true", "has_target_url": "true", "needs_ip_address": "true", "max_score": "0", "info_url": "string", "regions": "value", "raw": "value" }' ``` ``` -------------------------------- ### PATCH /assessment/{connection_id}/package/{id} Source: https://api.unified.to/docs/openapi-assessment.json API endpoint for PATCH /assessment/{connection_id}/package/{id} ```markdown ### Parameters - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Package ### Request Body **Content-Type:** application/json - **id** (string) (required) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **workspace_id** (string) - **connection_id** (string) - **integration_types** (array (string)): Integration types that support this package - **name** (string) (required) - **type** (string (SKILLS_TEST|BEHAVIORAL_ASSESSMENT|VIDEO_INTERVIEW|BACKGROUND_CHECK|REFERENCE_CHECK|OTHER)) (required) ("SKILLS_TEST"|"BEHAVIORAL_ASSESSMENT"|"VIDEO_INTERVIEW"|"BACKGROUND_CHECK"|"REFERENCE_CHECK"|"OTHER") - **aliases** (array (string)): Alternative namesidentifiers for this package - **tags** (array (string)): Category tags (e.g., "Assessment", "Background Check") - **description** (string) - **parameters** (array (AssessmentParameter)): Questionsinputs needed for this assessment (aligned with verification) Array items: - **id** (string) - **name** (string) (required) - **public_question** (string) - **type** (string (TEXT|NUMBER|MULTIPLE_CHOICE|MULTIPLE_SELECT|DATE|FILE)) ("TEXT"|"NUMBER"|"MULTIPLE_CHOICE"|"MULTIPLE_SELECT"|"DATE"|"FILE") - **options** (array (string)): Options for MULTIPLE_CHOICE and MULTIPLE_SELECT - **file_types** (array (string)): Valid file MIME types for FILE type - **valid_regions** (array (string)): Regions where this parameter is valid ({country}-{state} or {country}) - **is_required** (boolean) - **has_redirect_url** (boolean) - **has_target_url** (boolean) - **needs_ip_address** (boolean) - **max_score** (number) - **info_url** (string) - **regions** (array (AssessmentPackageRegion)) Array items: - **regions** (array (string)) (required): Countryregion codes where this package is available ({country}-{state} or {country}) - **cost_amount** (number) (required) - **currency** (string) - **processing_time** (number) - **raw** (object) ### Responses #### 200 - Successful **AssessmentPackage** - **id** (string) (required) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **workspace_id** (string) - **connection_id** (string) - **integration_types** (array (string)): Integration types that support this package - **name** (string) (required) - **type** (string (SKILLS_TEST|BEHAVIORAL_ASSESSMENT|VIDEO_INTERVIEW|BACKGROUND_CHECK|REFERENCE_CHECK|OTHER)) (required) ("SKILLS_TEST"|"BEHAVIORAL_ASSESSMENT"|"VIDEO_INTERVIEW"|"BACKGROUND_CHECK"|"REFERENCE_CHECK"|"OTHER") - **aliases** (array (string)): Alternative namesidentifiers for this package - **tags** (array (string)): Category tags (e.g., "Assessment", "Background Check") - **description** (string) - **parameters** (array (AssessmentParameter)): Questionsinputs needed for this assessment (aligned with verification) Array items: - **id** (string) - **name** (string) (required) - **public_question** (string) - **type** (string (TEXT|NUMBER|MULTIPLE_CHOICE|MULTIPLE_SELECT|DATE|FILE)) ("TEXT"|"NUMBER"|"MULTIPLE_CHOICE"|"MULTIPLE_SELECT"|"DATE"|"FILE") - **options** (array (string)): Options for MULTIPLE_CHOICE and MULTIPLE_SELECT - **file_types** (array (string)): Valid file MIME types for FILE type - **valid_regions** (array (string)): Regions where this parameter is valid ({country}-{state} or {country}) - **is_required** (boolean) - **has_redirect_url** (boolean) - **has_target_url** (boolean) - **needs_ip_address** (boolean) - **max_score** (number) - **info_url** (string) - **regions** (array (AssessmentPackageRegion)) Array items: - **regions** (array (string)) (required): Countryregion codes where this package is available ({country}-{state} or {country}) - **cost_amount** (number) (required) - **currency** (string) - **processing_time** (number) - **raw** (object) ### Example Usage ```bash curl -X PATCH "https://api.unified.to/assessment/{connection_id}/package/{id}" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "workspace_id": "string", "connection_id": "string", "integration_types": "value", "name": "string", "type": "SKILLS_TEST", "aliases": "value", "tags": "value", "description": "string", "parameters": "value", "has_redirect_url": "true", "has_target_url": "true", "needs_ip_address": "true", "max_score": "0", "info_url": "string", "regions": "value", "raw": "value" }' ``` ``` -------------------------------- ### Schema: property_AssessmentOrder_response_download_urls Source: https://api.unified.to/docs/openapi-assessment.json Report download URLs ```markdown ## Schema: property_AssessmentOrder_response_download_urls Report download URLs **Type:** array - Array of string ``` -------------------------------- ### PUT /assessment/{connection_id}/package/{id} Source: https://api.unified.to/docs/openapi-assessment.json API endpoint for PUT /assessment/{connection_id}/package/{id} ```markdown ### Parameters - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Package ### Request Body **Content-Type:** application/json - **id** (string) (required) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **workspace_id** (string) - **connection_id** (string) - **integration_types** (array (string)): Integration types that support this package - **name** (string) (required) - **type** (string (SKILLS_TEST|BEHAVIORAL_ASSESSMENT|VIDEO_INTERVIEW|BACKGROUND_CHECK|REFERENCE_CHECK|OTHER)) (required) ("SKILLS_TEST"|"BEHAVIORAL_ASSESSMENT"|"VIDEO_INTERVIEW"|"BACKGROUND_CHECK"|"REFERENCE_CHECK"|"OTHER") - **aliases** (array (string)): Alternative namesidentifiers for this package - **tags** (array (string)): Category tags (e.g., "Assessment", "Background Check") - **description** (string) - **parameters** (array (AssessmentParameter)): Questionsinputs needed for this assessment (aligned with verification) Array items: - **id** (string) - **name** (string) (required) - **public_question** (string) - **type** (string (TEXT|NUMBER|MULTIPLE_CHOICE|MULTIPLE_SELECT|DATE|FILE)) ("TEXT"|"NUMBER"|"MULTIPLE_CHOICE"|"MULTIPLE_SELECT"|"DATE"|"FILE") - **options** (array (string)): Options for MULTIPLE_CHOICE and MULTIPLE_SELECT - **file_types** (array (string)): Valid file MIME types for FILE type - **valid_regions** (array (string)): Regions where this parameter is valid ({country}-{state} or {country}) - **is_required** (boolean) - **has_redirect_url** (boolean) - **has_target_url** (boolean) - **needs_ip_address** (boolean) - **max_score** (number) - **info_url** (string) - **regions** (array (AssessmentPackageRegion)) Array items: - **regions** (array (string)) (required): Countryregion codes where this package is available ({country}-{state} or {country}) - **cost_amount** (number) (required) - **currency** (string) - **processing_time** (number) - **raw** (object) ### Responses #### 200 - Successful **AssessmentPackage** - **id** (string) (required) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **workspace_id** (string) - **connection_id** (string) - **integration_types** (array (string)): Integration types that support this package - **name** (string) (required) - **type** (string (SKILLS_TEST|BEHAVIORAL_ASSESSMENT|VIDEO_INTERVIEW|BACKGROUND_CHECK|REFERENCE_CHECK|OTHER)) (required) ("SKILLS_TEST"|"BEHAVIORAL_ASSESSMENT"|"VIDEO_INTERVIEW"|"BACKGROUND_CHECK"|"REFERENCE_CHECK"|"OTHER") - **aliases** (array (string)): Alternative namesidentifiers for this package - **tags** (array (string)): Category tags (e.g., "Assessment", "Background Check") - **description** (string) - **parameters** (array (AssessmentParameter)): Questionsinputs needed for this assessment (aligned with verification) Array items: - **id** (string) - **name** (string) (required) - **public_question** (string) - **type** (string (TEXT|NUMBER|MULTIPLE_CHOICE|MULTIPLE_SELECT|DATE|FILE)) ("TEXT"|"NUMBER"|"MULTIPLE_CHOICE"|"MULTIPLE_SELECT"|"DATE"|"FILE") - **options** (array (string)): Options for MULTIPLE_CHOICE and MULTIPLE_SELECT - **file_types** (array (string)): Valid file MIME types for FILE type - **valid_regions** (array (string)): Regions where this parameter is valid ({country}-{state} or {country}) - **is_required** (boolean) - **has_redirect_url** (boolean) - **has_target_url** (boolean) - **needs_ip_address** (boolean) - **max_score** (number) - **info_url** (string) - **regions** (array (AssessmentPackageRegion)) Array items: - **regions** (array (string)) (required): Countryregion codes where this package is available ({country}-{state} or {country}) - **cost_amount** (number) (required) - **currency** (string) - **processing_time** (number) - **raw** (object) ### Example Usage ```bash curl -X PUT "https://api.unified.to/assessment/{connection_id}/package/{id}" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "workspace_id": "string", "connection_id": "string", "integration_types": "value", "name": "string", "type": "SKILLS_TEST", "aliases": "value", "tags": "value", "description": "string", "parameters": "value", "has_redirect_url": "true", "has_target_url": "true", "needs_ip_address": "true", "max_score": "0", "info_url": "string", "regions": "value", "raw": "value" }' ``` ``` -------------------------------- ### API Overview: Unified.to ASSESSMENT API Source: https://api.unified.to/docs/openapi-assessment.json One API to Rule Them All ```yaml # Unified.to ASSESSMENT API # Version: 1.0 One API to Rule Them All # Base URL: https://api.unified.to ``` -------------------------------- ### Schema: property_AssessmentOrder_parameters Source: https://api.unified.to/docs/openapi-assessment.json Filled-in answers to the package's parameter questions ```markdown ## Schema: property_AssessmentOrder_parameters Filled-in answers to the package's parameter questions **Type:** array - Array of AssessmentParameterInput ``` -------------------------------- ### Schema: property_AssessmentPackage_aliases Source: https://api.unified.to/docs/openapi-assessment.json Alternative namesidentifiers for this package ```markdown ## Schema: property_AssessmentPackage_aliases Alternative namesidentifiers for this package **Type:** array - Array of string ``` -------------------------------- ### Schema: property_AssessmentParameter_options Source: https://api.unified.to/docs/openapi-assessment.json Options for MULTIPLE_CHOICE and MULTIPLE_SELECT ```markdown ## Schema: property_AssessmentParameter_options Options for MULTIPLE_CHOICE and MULTIPLE_SELECT **Type:** array - Array of string ``` -------------------------------- ### PATCH /assessment/{connection_id}/order/{id} Source: https://api.unified.to/docs/openapi-assessment.json API endpoint for PATCH /assessment/{connection_id}/order/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|workspace_id|connection_id|webhook_id|package_id|parameters|target_url|status|reference|application_id|job_id|company_id|candidate_id|employee_id|profile_name|profile_first_name|profile_last_name|profile_resume_url|profile_ip_address|profile_date_of_birth|profile_addresses|profile_gender|profile_emails|profile_telephones|profile_national_identifier|profile_social_media_urls|response_completed_at|response_expires_at|response_issued_at|response_status|response_score|response_max_score|response_url|response_redirect_url|response_download_urls|response_details|response_source|response_attributes|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Order ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **workspace_id** (string) (required) - **connection_id** (string) (required) - **webhook_id** (string) - **package_id** (string) - **parameters** (array (AssessmentParameterInput)): Filled-in answers to the package's parameter questions Array items: - **parameter_id** (string) - **name** (string) - **inputs** (array (string)) - **target_url** (string) - **status** (string (OPEN|IN_PROGRESS|COMPLETED|FAILED|REJECTED)) ("OPEN"|"IN_PROGRESS"|"COMPLETED"|"FAILED"|"REJECTED") - **reference** (string) - **application_id** (string) - **job_id** (string) - **company_id** (string) - **candidate_id** (string) - **employee_id** (string) - **profile_name** (string) - **profile_first_name** (string) - **profile_last_name** (string) - **profile_resume_url** (string) - **profile_ip_address** (string) - **profile_date_of_birth** (string) - **profile_addresses** (array (AssessmentAddress)) Array items: - **address1** (string) - **address2** (string) - **city** (string) - **region** (string) - **region_code** (string) - **postal_code** (string) - **country** (string) - **country_code** (string) - **profile_gender** (string (MALE|FEMALE|INTERSEX|TRANS|NON_BINARY)) ("MALE"|"FEMALE"|"INTERSEX"|"TRANS"|"NON_BINARY") - **profile_emails** (array (string)) - **profile_telephones** (array (string)) - **profile_national_identifier** (string) - **profile_social_media_urls** (array (string)) - **response_completed_at** (string (date-time)) - **response_expires_at** (string (date-time)) - **response_issued_at** (string (date-time)) - **response_status** (string (OPEN|IN_PROGRESS|COMPLETED|FAILED|REJECTED)) ("OPEN"|"IN_PROGRESS"|"COMPLETED"|"FAILED"|"REJECTED") - **response_score** (number) - **response_max_score** (number) - **response_url** (string) - **response_redirect_url** (string) - **response_download_urls** (array (string)): Report download URLs - **response_details** (array (AssessmentResponseDetail)) Array items: - **title** (string) - **text** (string) - **is_private** (boolean) - **is_failed_reason** (boolean) - **parameter_id** (string) - **download_url** (string) - **response_source** (string) - **response_attributes** (array (AssessmentAttribute)): Additional result attributes Array items: - **type** (string (TEXT|NUMBER|SUB_RESULT)) (required) ("TEXT"|"NUMBER"|"SUB_RESULT") - **label** (string) (required) - **value** (string) - **reference** (string) - **score_value** (number) - **score_max** (number) - **status** (string (OPEN|IN_PROGRESS|COMPLETED|FAILED|REJECTED)) ("OPEN"|"IN_PROGRESS"|"COMPLETED"|"FAILED"|"REJECTED") - **raw** (object) ### Responses #### 200 - Successful **AssessmentOrder** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **workspace_id** (string) (required) - **connection_id** (string) (required) - **webhook_id** (string) - **package_id** (string) - **parameters** (array (AssessmentParameterInput)): Filled-in answers to the package's parameter questions Array items: - **parameter_id** (string) - **name** (string) - **inputs** (array (string)) - **target_url** (string) - **status** (string (OPEN|IN_PROGRESS|COMPLETED|FAILED|REJECTED)) ("OPEN"|"IN_PROGRESS"|"COMPLETED"|"FAILED"|"REJECTED") - **reference** (string) - **application_id** (string) - **job_id** (string) - **company_id** (string) - **candidate_id** (string) - **employee_id** (string) - **profile_name** (string) - **profile_first_name** (string) - **profile_last_name** (string) - **profile_resume_url** (string) - **profile_ip_address** (string) - **profile_date_of_birth** (string) - **profile_addresses** (array (AssessmentAddress)) Array items: - **address1** (string) - **address2** (string) - **city** (string) - **region** (string) - **region_code** (string) - **postal_code** (string) - **country** (string) - **country_code** (string) - **profile_gender** (string (MALE|FEMALE|INTERSEX|TRANS|NON_BINARY)) ("MALE"|"FEMALE"|"INTERSEX"|"TRANS"|"NON_BINARY") - **profile_emails** (array (string)) - **profile_telephones** (array (string)) - **profile_national_identifier** (string) - **profile_social_media_urls** (array (string)) - **response_completed_at** (string (date-time)) - **response_expires_at** (string (date-time)) - **response_issued_at** (string (date-time)) - **response_status** (string (OPEN|IN_PROGRESS|COMPLETED|FAILED|REJECTED)) ("OPEN"|"IN_PROGRESS"|"COMPLETED"|"FAILED"|"REJECTED") - **response_score** (number) - **response_max_score** (number) - **response_url** (string) - **response_redirect_url** (string) - **response_download_urls** (array (string)): Report download URLs - **response_details** (array (AssessmentResponseDetail)) Array items: - **title** (string) - **text** (string) - **is_private** (boolean) - **is_failed_reason** (boolean) - **parameter_id** (string) - **download_url** (string) - **response_source** (string) - **response_attributes** (array (AssessmentAttribute)): Additional result attributes Array items: - **type** (string (TEXT|NUMBER|SUB_RESULT)) (required) ("TEXT"|"NUMBER"|"SUB_RESULT") - **label** (string) (required) - **value** (string) - **reference** (string) - **score_value** (number) - **score_max** (number) - **status** (string (OPEN|IN_PROGRESS|COMPLETED|FAILED|REJECTED)) ("OPEN"|"IN_PROGRESS"|"COMPLETED"|"FAILED"|"REJECTED") - **raw** (object) ### Example Usage ```bash curl -X PATCH "https://api.unified.to/assessment/{connection_id}/order/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "workspace_id": "string", "connection_id": "string", "webhook_id": "string", "package_id": "string", "parameters": "value", "target_url": "string", "status": "OPEN", "reference": "string", "application_id": "string", "job_id": "string", "company_id": "string", "candidate_id": "string", "employee_id": "string", "profile_name": "string", "profile_first_name": "string", "profile_last_name": "string", "profile_resume_url": "string", "profile_ip_address": "string", "profile_date_of_birth": "string", "profile_addresses": "value", "profile_gender": "MALE", "profile_emails": "value", "profile_telephones": "value", "profile_national_identifier": "string", "profile_social_media_urls": "value", "response_completed_at": "2023-01-01T00:00:00Z", "response_expires_at": "2023-01-01T00:00:00Z", "response_issued_at": "2023-01-01T00:00:00Z", "response_status": "OPEN", "response_score": "0", "response_max_score": "0", "response_url": "string", "response_redirect_url": "string", "response_download_urls": "value", "response_details": "value", "response_source": "string", "response_attributes": "value", "raw": "value" }' ``` ``` -------------------------------- ### Schema: property_AssessmentPackage_integration_types Source: https://api.unified.to/docs/openapi-assessment.json Integration types that support this package ```markdown ## Schema: property_AssessmentPackage_integration_types Integration types that support this package **Type:** array - Array of string ``` -------------------------------- ### PUT /assessment/{connection_id}/order/{id} Source: https://api.unified.to/docs/openapi-assessment.json API endpoint for PUT /assessment/{connection_id}/order/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|workspace_id|connection_id|webhook_id|package_id|parameters|target_url|status|reference|application_id|job_id|company_id|candidate_id|employee_id|profile_name|profile_first_name|profile_last_name|profile_resume_url|profile_ip_address|profile_date_of_birth|profile_addresses|profile_gender|profile_emails|profile_telephones|profile_national_identifier|profile_social_media_urls|response_completed_at|response_expires_at|response_issued_at|response_status|response_score|response_max_score|response_url|response_redirect_url|response_download_urls|response_details|response_source|response_attributes|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Order ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **workspace_id** (string) (required) - **connection_id** (string) (required) - **webhook_id** (string) - **package_id** (string) - **parameters** (array (AssessmentParameterInput)): Filled-in answers to the package's parameter questions Array items: - **parameter_id** (string) - **name** (string) - **inputs** (array (string)) - **target_url** (string) - **status** (string (OPEN|IN_PROGRESS|COMPLETED|FAILED|REJECTED)) ("OPEN"|"IN_PROGRESS"|"COMPLETED"|"FAILED"|"REJECTED") - **reference** (string) - **application_id** (string) - **job_id** (string) - **company_id** (string) - **candidate_id** (string) - **employee_id** (string) - **profile_name** (string) - **profile_first_name** (string) - **profile_last_name** (string) - **profile_resume_url** (string) - **profile_ip_address** (string) - **profile_date_of_birth** (string) - **profile_addresses** (array (AssessmentAddress)) Array items: - **address1** (string) - **address2** (string) - **city** (string) - **region** (string) - **region_code** (string) - **postal_code** (string) - **country** (string) - **country_code** (string) - **profile_gender** (string (MALE|FEMALE|INTERSEX|TRANS|NON_BINARY)) ("MALE"|"FEMALE"|"INTERSEX"|"TRANS"|"NON_BINARY") - **profile_emails** (array (string)) - **profile_telephones** (array (string)) - **profile_national_identifier** (string) - **profile_social_media_urls** (array (string)) - **response_completed_at** (string (date-time)) - **response_expires_at** (string (date-time)) - **response_issued_at** (string (date-time)) - **response_status** (string (OPEN|IN_PROGRESS|COMPLETED|FAILED|REJECTED)) ("OPEN"|"IN_PROGRESS"|"COMPLETED"|"FAILED"|"REJECTED") - **response_score** (number) - **response_max_score** (number) - **response_url** (string) - **response_redirect_url** (string) - **response_download_urls** (array (string)): Report download URLs - **response_details** (array (AssessmentResponseDetail)) Array items: - **title** (string) - **text** (string) - **is_private** (boolean) - **is_failed_reason** (boolean) - **parameter_id** (string) - **download_url** (string) - **response_source** (string) - **response_attributes** (array (AssessmentAttribute)): Additional result attributes Array items: - **type** (string (TEXT|NUMBER|SUB_RESULT)) (required) ("TEXT"|"NUMBER"|"SUB_RESULT") - **label** (string) (required) - **value** (string) - **reference** (string) - **score_value** (number) - **score_max** (number) - **status** (string (OPEN|IN_PROGRESS|COMPLETED|FAILED|REJECTED)) ("OPEN"|"IN_PROGRESS"|"COMPLETED"|"FAILED"|"REJECTED") - **raw** (object) ### Responses #### 200 - Successful **AssessmentOrder** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **workspace_id** (string) (required) - **connection_id** (string) (required) - **webhook_id** (string) - **package_id** (string) - **parameters** (array (AssessmentParameterInput)): Filled-in answers to the package's parameter questions Array items: - **parameter_id** (string) - **name** (string) - **inputs** (array (string)) - **target_url** (string) - **status** (string (OPEN|IN_PROGRESS|COMPLETED|FAILED|REJECTED)) ("OPEN"|"IN_PROGRESS"|"COMPLETED"|"FAILED"|"REJECTED") - **reference** (string) - **application_id** (string) - **job_id** (string) - **company_id** (string) - **candidate_id** (string) - **employee_id** (string) - **profile_name** (string) - **profile_first_name** (string) - **profile_last_name** (string) - **profile_resume_url** (string) - **profile_ip_address** (string) - **profile_date_of_birth** (string) - **profile_addresses** (array (AssessmentAddress)) Array items: - **address1** (string) - **address2** (string) - **city** (string) - **region** (string) - **region_code** (string) - **postal_code** (string) - **country** (string) - **country_code** (string) - **profile_gender** (string (MALE|FEMALE|INTERSEX|TRANS|NON_BINARY)) ("MALE"|"FEMALE"|"INTERSEX"|"TRANS"|"NON_BINARY") - **profile_emails** (array (string)) - **profile_telephones** (array (string)) - **profile_national_identifier** (string) - **profile_social_media_urls** (array (string)) - **response_completed_at** (string (date-time)) - **response_expires_at** (string (date-time)) - **response_issued_at** (string (date-time)) - **response_status** (string (OPEN|IN_PROGRESS|COMPLETED|FAILED|REJECTED)) ("OPEN"|"IN_PROGRESS"|"COMPLETED"|"FAILED"|"REJECTED") - **response_score** (number) - **response_max_score** (number) - **response_url** (string) - **response_redirect_url** (string) - **response_download_urls** (array (string)): Report download URLs - **response_details** (array (AssessmentResponseDetail)) Array items: - **title** (string) - **text** (string) - **is_private** (boolean) - **is_failed_reason** (boolean) - **parameter_id** (string) - **download_url** (string) - **response_source** (string) - **response_attributes** (array (AssessmentAttribute)): Additional result attributes Array items: - **type** (string (TEXT|NUMBER|SUB_RESULT)) (required) ("TEXT"|"NUMBER"|"SUB_RESULT") - **label** (string) (required) - **value** (string) - **reference** (string) - **score_value** (number) - **score_max** (number) - **status** (string (OPEN|IN_PROGRESS|COMPLETED|FAILED|REJECTED)) ("OPEN"|"IN_PROGRESS"|"COMPLETED"|"FAILED"|"REJECTED") - **raw** (object) ### Example Usage ```bash curl -X PUT "https://api.unified.to/assessment/{connection_id}/order/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "workspace_id": "string", "connection_id": "string", "webhook_id": "string", "package_id": "string", "parameters": "value", "target_url": "string", "status": "OPEN", "reference": "string", "application_id": "string", "job_id": "string", "company_id": "string", "candidate_id": "string", "employee_id": "string", "profile_name": "string", "profile_first_name": "string", "profile_last_name": "string", "profile_resume_url": "string", "profile_ip_address": "string", "profile_date_of_birth": "string", "profile_addresses": "value", "profile_gender": "MALE", "profile_emails": "value", "profile_telephones": "value", "profile_national_identifier": "string", "profile_social_media_urls": "value", "response_completed_at": "2023-01-01T00:00:00Z", "response_expires_at": "2023-01-01T00:00:00Z", "response_issued_at": "2023-01-01T00:00:00Z", "response_status": "OPEN", "response_score": "0", "response_max_score": "0", "response_url": "string", "response_redirect_url": "string", "response_download_urls": "value", "response_details": "value", "response_source": "string", "response_attributes": "value", "raw": "value" }' ``` ``` -------------------------------- ### Schema: property_AssessmentOrder_profile_emails Source: https://api.unified.to/docs/openapi-assessment.json Schema definition for property_AssessmentOrder_profile_emails ```markdown ## Schema: property_AssessmentOrder_profile_emails Schema definition for property_AssessmentOrder_profile_emails **Type:** array - Array of string ``` -------------------------------- ### Schema: AssessmentPackages Source: https://api.unified.to/docs/openapi-assessment.json Schema definition for AssessmentPackages ```markdown ## Schema: AssessmentPackages Schema definition for AssessmentPackages **Type:** array - Array of AssessmentPackage ``` -------------------------------- ### DELETE /assessment/{connection_id}/package/{id} Source: https://api.unified.to/docs/openapi-assessment.json API endpoint for DELETE /assessment/{connection_id}/package/{id} ```markdown ### Parameters - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Package ### Responses #### 200 - Successful Empty response body #### default - Successful ### Example Usage ```bash curl -X DELETE "https://api.unified.to/assessment/{connection_id}/package/{id}" ``` ``` -------------------------------- ### Schema: property_AssessmentPackage_regions Source: https://api.unified.to/docs/openapi-assessment.json Schema definition for property_AssessmentPackage_regions ```markdown ## Schema: property_AssessmentPackage_regions Schema definition for property_AssessmentPackage_regions **Type:** array - Array of AssessmentPackageRegion ``` -------------------------------- ### Schema: property_AssessmentParameter_file_types Source: https://api.unified.to/docs/openapi-assessment.json Valid file MIME types for FILE type ```markdown ## Schema: property_AssessmentParameter_file_types Valid file MIME types for FILE type **Type:** array - Array of string ```